PUT api/v1/PaymentProviderSettings/{id}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | integer |
Required |
Body Parameters
PaymentProviderSetting| Name | Description | Type | Additional information |
|---|---|---|---|
| Id | integer |
None. |
|
| Provider | byte |
None. |
|
| Name | string |
None. |
|
| ApiKey | string |
None. |
|
| SecretKey | string |
None. |
|
| MerchantId | string |
None. |
|
| ExtraJson | string |
None. |
|
| IsActive | boolean |
None. |
|
| CreatedAt | date |
None. |
|
| UpdatedAt | date |
None. |
Request Formats
application/json, text/json
Sample:
{
"id": 1,
"provider": 64,
"name": "sample string 3",
"apiKey": "sample string 4",
"secretKey": "sample string 5",
"merchantId": "sample string 6",
"extraJson": "sample string 7",
"isActive": true,
"createdAt": "2026-04-18T15:05:37.4453347+03:00",
"updatedAt": "2026-04-18T15:05:37.4453347+03:00"
}
application/xml, text/xml
Sample:
<PaymentProviderSetting xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityBase"> <ApiKey>sample string 4</ApiKey> <CreatedAt>2026-04-18T15:05:37.4453347+03:00</CreatedAt> <ExtraJson>sample string 7</ExtraJson> <Id>1</Id> <IsActive>true</IsActive> <MerchantId>sample string 6</MerchantId> <Name>sample string 3</Name> <Provider>64</Provider> <SecretKey>sample string 5</SecretKey> <UpdatedAt>2026-04-18T15:05:37.4453347+03:00</UpdatedAt> </PaymentProviderSetting>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
IHttpActionResultNone.
Response Formats
application/json, text/json, application/xml, text/xml
Sample:
Sample not available.